#
# For use with pymol
#    DeLano, W.L. The PyMOL Molecular Graphics System (2002) 
#    DeLano Scientific, Palo Alto, CA, USA. http://www.pymol.org
# 
# use as 'pymol -c display.pml'
# or 'pymol -c -p < display.pml'
# append '-g out.png' to produce image file
# 

# set background color to white:
bg_color white
set ortho,1

# load pdb file:
load SH_1KHX.pdb

# clear
hide lines

# show cartoons in B-factor spectrum
show cartoon
spectrum b, blue_white_red
zoom name CA, buffer=0, complete=1
orient

set cartoon_transparency=0.6

# select residues with SH<cutoff (1-SH>cutoff)
# and show as sticks with res label
select SH, b>80
color white, !SH
show spheres, SH
set label_color, black
set label_size, 400
set label_font_id, 11
set label_position, (0,0,-5)
set label_outline_color, white
set texture_fonts,1
label SH and name CA, " %s%s" % (resn, resi)

# output and done
set spec_power = 200
set spec_refl = 1.5
ray 600,600
